# Zugang zur API

{% hint style="info" %}
Die API findest du unter [**https://api.kontoflux.io**](https://api.kontoflux.io)\
Zur **Authentifizierung** wirst du einen gültigen **API Key** zu deinem Workspace benötigen.&#x20;
{% endhint %}

### API-Key Generieren

1. Gehe im Kontoflux.io Backend zum Bereich **Automationen** [(**https://app.kontoflux.io/automations/api)**](https://app.kontoflux.io/automations/api)
2. Wähle ggf. den Tab **"API"**
3. **Erstelle** dir einen neuen API-Key
4. Wähle die **Optionen** für deinen gewünschen API-Key und erstelle Ihn. \
   Du kannst hier vor allem den Zugang zu bestimmen Resourcen, wie Bankkonten oder Endpunkte, die dieser API-Key erreichen einschränken.
5. Kopiere dir den API-Key und verwahre Ihn sicher! Er gewährt Zugang zu deinen Daten.

{% hint style="danger" %}
**API-Keys** gewähren kompletten, oder je nach Einstellungen: eingeschränkten Zugang, zu deinen Bank- und Transaktionsdaten. Lege Ihn nur auf absolut vertrauenswürdigen Orten und Softwares ab und teile Ihn nur mit Personen, die auf den Zugriff dieser Daten berechtigt sind.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kontoflux.io/api/zugang-zur-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
